DefaultDataBindingSourceCreator (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.binding.bindingsource
[Groovy] Class DefaultDataBindingSourceCreator

    java.lang.Object
      org.codehaus.groovy.grails.web.binding.bindingsource.DefaultDataBindingSourceCreator

All Implemented Interfaces:
  DataBindingSourceCreator

    @groovy.transform.CompileStatic
    class DefaultDataBindingSourceCreator
    extends java.lang.Object

Method Summary
`CollectionDataBindingSource` | `createCollectionDataBindingSource(MimeType mimeType, java.lang.Class bindingTargetType, java.lang.Object bindingSource)`
`DataBindingSource` | `createDataBindingSource(MimeType mimeType, java.lang.Class bindingTargetType, java.lang.Object bindingSource)`
`protected DataBindingSource` | `createDataBindingSource(java.lang.Object bindingTarget, javax.servlet.http.HttpServletRequest req)`
`MimeType[]` | `getMimeTypes()`
`java.lang.Class` | `getTargetType()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### createCollectionDataBindingSource

    @java.lang.Override
    CollectionDataBindingSource createCollectionDataBindingSource(MimeType mimeType, java.lang.Class bindingTargetType, java.lang.Object bindingSource)

### createDataBindingSource

    @java.lang.Override
    DataBindingSource createDataBindingSource(MimeType mimeType, java.lang.Class bindingTargetType, java.lang.Object bindingSource)

### createDataBindingSource

    protected DataBindingSource createDataBindingSource(java.lang.Object bindingTarget, javax.servlet.http.HttpServletRequest req)

### getMimeTypes

    @java.lang.Override
    MimeType[] getMimeTypes()

### getTargetType

    @java.lang.Override
    java.lang.Class getTargetType()

Groovy Documentation